Loading...
Searching...
No Matches
XrdCl::VectorReadInfo Class Reference

Vector read info. More...

`#include <XrdClXRootDResponses.hh>`

Collaboration diagram for XrdCl::VectorReadInfo:

## Public Member Functions

| VectorReadInfo ()
| Constructor.
ChunkList & | GetChunks ()
| Get chunks.
const ChunkList & | GetChunks () const
| Get chunks.
uint32_t | GetSize () const
| Get Size.
void | SetSize (uint32_t size)
| Set size.

## Detailed Description

Vector read info.

Definition at line 1061 of file XrdClXRootDResponses.hh.

## Constructor & Destructor Documentation

## VectorReadInfo()

XrdCl::VectorReadInfo::VectorReadInfo | ( |  | ) |

inline

Constructor.

Definition at line 1067 of file XrdClXRootDResponses.hh.

: pSize( 0 ) {}

## Member Function Documentation

## GetChunks() [1/2]

ChunkList & XrdCl::VectorReadInfo::GetChunks | ( |  | ) |

inline

Get chunks.

Definition at line 1088 of file XrdClXRootDResponses.hh.

{
return pChunks;
}

Referenced by XrdCl::LocalFileHandler::ReadV(), and XrdCl::VectorReadAction::Serialize().

Here is the caller graph for this function:

## GetChunks() [2/2]

const ChunkList & XrdCl::VectorReadInfo::GetChunks | ( |  | ) | const

inline

Get chunks.

Definition at line 1096 of file XrdClXRootDResponses.hh.

{
return pChunks;
}

## GetSize()

uint32_t XrdCl::VectorReadInfo::GetSize | ( |  | ) | const

inline

Get Size.

Definition at line 1072 of file XrdClXRootDResponses.hh.

{
return pSize;
}

Referenced by XrdCl::File::ReadV(), and XrdCl::VectorReadAction::Serialize().

Here is the caller graph for this function:

## SetSize()

void XrdCl::VectorReadInfo::SetSize | ( | uint32_t | size | ) |

inline

Set size.

Definition at line 1080 of file XrdClXRootDResponses.hh.

{
pSize = size;
}

Referenced by XrdCl::LocalFileHandler::ReadV().

Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- XrdClXRootDResponses.hh